OpenVDB: SeamLineWeights< InputTreeType > Struct Template Reference

OpenVDB 5.1.0

Public Types | Public Member Functions | List of all members
SeamLineWeights< InputTreeType > Struct Template Reference

`#include <VolumeToMesh.h>`

## Public Types
using | InputLeafNodeType = typename InputTreeType::LeafNodeType
using | InputValueType = typename InputLeafNodeType::ValueType
using | Int16TreeType = typename InputTreeType::template ValueConverter< Int16 >::Type
using | Int16LeafNodeType = typename Int16TreeType::LeafNodeType
using | Index32TreeType = typename InputTreeType::template ValueConverter< Index32 >::Type
using | Index32LeafNodeType = typename Index32TreeType::LeafNodeType

## Public Member Functions
| SeamLineWeights (const std::vector< Int16LeafNodeType *> &signFlagsLeafNodes, const InputTreeType &inputTree, const Index32TreeType &refPointIndexTree, const Int16TreeType &refSignFlagsTree, uint32_t *quantizedPoints, InputValueType iso)
void | operator() (const tbb::blocked_range< size_t > &range) const

## Member Typedef Documentation

## ◆ Index32LeafNodeType

using Index32LeafNodeType = typename Index32TreeType::LeafNodeType

## ◆ Index32TreeType

using Index32TreeType = typename InputTreeType::template ValueConverter<Index32>::Type

## ◆ InputLeafNodeType

using InputLeafNodeType = typename InputTreeType::LeafNodeType

## ◆ InputValueType

using InputValueType = typename InputLeafNodeType::ValueType

## ◆ Int16LeafNodeType

using Int16LeafNodeType = typename Int16TreeType::LeafNodeType

## ◆ Int16TreeType

using Int16TreeType = typename InputTreeType::template ValueConverter<Int16>::Type

## Constructor & Destructor Documentation

## ◆ SeamLineWeights()

SeamLineWeights | ( | const std::vector< Int16LeafNodeType *> & | signFlagsLeafNodes,
|  | const InputTreeType & | inputTree,
|  | const Index32TreeType & | refPointIndexTree,
|  | const Int16TreeType & | refSignFlagsTree,
|  | uint32_t * | quantizedPoints,
|  | InputValueType | iso
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const
| inline

The documentation for this struct was generated from the following file:

- VolumeToMesh.h